Bug 829725 - collectd with libvirt plugin needs to access libvirtd.conf
collectd with libvirt plugin needs to access libvirtd.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 08:26 EDT by Fabian Deutsch
Modified: 2012-06-16 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:03:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-06-07 08:26:49 EDT
Description of problem:
There are avc denials related to collectd - I guess because of it's libvirt plugin.

Version-Release number of selected component (if applicable):
F17

Additional info:
#============= collectd_t ==============
# audit(1339070717.915:21):
#  scontext="system_u:system_r:collectd_t:s0" tcontext="system_u:object_r:virt_etc_t:s0"
#  class="file" perms="read"
#  comm="collectd" exe="" path=""
#  message="type=AVC msg=audit(1339070717.915:21): avc:  denied  { read } for
#   pid=932 comm="collectd" name="libvirt.conf" dev="tmpfs" ino=11611
#   scontext=system_u:system_r:collectd_t:s0
#   tcontext=system_u:object_r:virt_etc_t:s0 tclass=file "
# audit(1339070737.918:44):
#  scontext="system_u:system_r:collectd_t:s0" tcontext="system_u:object_r:virt_etc_t:s0"
#  class="file" perms="read"
#  comm="collectd" exe="" path=""
#  message="type=AVC msg=audit(1339070737.918:44): avc:  denied  { read } for
#   pid=928 comm="collectd" name="libvirt.conf" dev="tmpfs" ino=11611
#   scontext=system_u:system_r:collectd_t:s0
#   tcontext=system_u:object_r:virt_etc_t:s0 tclass=file "
allow collectd_t virt_etc_t:file read;
Comment 1 Miroslav Grepl 2012-06-07 08:41:35 EDT
Fixed in selinux-policy-3.10.0-129.fc17
Comment 2 Fedora Update System 2012-06-11 17:01:39 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 19:58:44 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:03:43 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.